/* Styles */
.name {
  font-size: 48px;
  margin-left: -2px;
}

.left-column {
  width: 220px;
  min-width: 220px;
}

/* Generic overwrites */
html {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
}

body {
  font-family: 'Roboto Slab', sans-serif;
  width: 21cm;
}

h1, h2, h3 {
  font-family: 'Work Sans', sans-serif;
}

h1 {
  font-size: 20px;
  margin: 0 0 0 -1px;
}

h2 {
  font-size: 14px;
  margin: 0;
}

p, label, span, li, strong {
  font-size: 11px;
  line-height: 18px;
}

p {
  padding: 4px 0;
  margin: 0;
}

ul {
  margin: 0;
  padding: 8px 0 8px 24px;

  ul {
    list-style-type: disc;
  }

  li {
    padding: 4px 0;
  }
}

@each $size in (0, 2, 4, 8, 16, 32) {
  .pa-#{$size} {
    padding: $size !important;
  }
  .py-#{$size} {
    padding-top: $size !important;
    padding-bottom: $size !important;
  }
  .px-#{$size} {
    padding-left: $size !important;
    padding-right: $size !important;
  }
  .pt-#{$size} {
    padding-top: $size !important;
  }
  .pr-#{$size} {
    padding-right: $size !important;
  }
  .pb-#{$size} {
    padding-bottom: $size !important;
  }
  .pl-#{$size} {
    padding-left: $size !important;
  }
}

/* custom flex layout shortcuts */
.c-flex {
  display: flex;

  &.grow {
    flex-grow: 1 !important;
    flex-shrink: unset !important;
  }

  &.column {
    flex-direction: column;
  }

  &.row {
    flex-direction: row;
    flex-wrap: unset;
    flex: unset;
    margin-right: unset;
    margin-left: unset;

    &.responsive {
      @media only screen and (max-width: 600px) {
        flex-direction: column;
      }
    }
  }

  &.justify-end {
    justify-content: flex-end;
  }

  &.justify-between {
    justify-content: space-between;
  }

  &.justify-center {
    justify-content: center;
  }

  &.justify-evenly {
    justify-content: space-evenly;
  }

  &.justify-start {
    justify-content: flex-start;
  }

  &.align-center {
    align-items: center;
  }

  &.wrap {
    flex-wrap: wrap;
  }

  &.w100 {
    width: 100%;
  }

  &.h100 {
    height: 100%;
  }

  &.w50 {
    width: 50%;

    &.responsive {
      @media only screen and (max-width: 600px) {
        width: 100%;
      }
    }
  }

  &.w66 {
    width: 66%;
  }

  &.w33 {
    width: 33%;
  }

  &.w20 {
    width: 20%;
  }

  &.w80 {
    width: 80%;
  }

  &.w100 {
    width: 100%;
  }

  &.wrap {
    flex-wrap: wrap
  }
}
